Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.auth
Class SyncObjectList

    java.lang.Object
      com.plumtree.remote.auth.SyncObjectList

public class SyncObjectList
extends java.lang.Object

A wrapper for an array of `SyncObject`s. This object also contains a boolean flag that indicates whether or not this is the complete list of `SyncObject`s to be returned from the `ISyncProvider` implementation.

Constructor Summary
`SyncObjectList(SyncObject[] list)` Constructor that populates this object with an array of `SyncObject`s and indicates that this is the complete list of `SyncObject`s to be returned.
`SyncObjectList(SyncObject[] list, boolean isDone)` Constructor that populates this object with an array of `SyncObject`s and indicates whether or not this is the last list of `SyncObject`s to be returned.

Method Summary
`boolean` | `getDone()` Gets the boolean `isDone` flag.
`SyncObject[]` | `getSyncObjects()` Gets the list of `SyncObject`s.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyncObjectList

    public SyncObjectList(SyncObject[] list)

  Constructor that populates this object with an array of `SyncObject`s and indicates that this is the complete list of `SyncObject`s to be returned.

Parameters:
  `list` - the list of `SyncObject`s to be returned to the portal

### SyncObjectList

    public SyncObjectList(SyncObject[] list,
                          boolean isDone)

  Constructor that populates this object with an array of `SyncObject`s and indicates whether or not this is the last list of `SyncObject`s to be returned.

Parameters:
  `list` - the list of `SyncObject`s to be returned to the portal
  `isDone` - whether or not this is the last list of `SyncObject`s to be returned

Method Detail

### getSyncObjects

    public SyncObject[] getSyncObjects()

  Gets the list of `SyncObject`s.

### getDone

    public boolean getDone()

  Gets the boolean `isDone` flag.

  Returns:
    true if this is the complete list of `SyncObject`s returned by the `ISyncProvider` implementation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.